System 2.0.0.0 4.0.0.0 System.Enum

Every event log has a maximum size limit and a configurable setting that provides the rule for writing new entries at that limit. When the event log has reached its maximum size, you can specify one of the following rules:

New entries will be discarded.

New entries will overwrite older entries.

New entries will either be discarded or will overwrite existing entries depending upon the age of the existing entries.

Use the method to set the overflow behavior for an . Check the current configured behavior of an through its property.

Specifies how to handle entries in an event log that has reached its maximum file size.

- Field
  2.0.0.0
  4.0.0.0
  System.Diagnostics.OverflowAction

  Indicates that existing entries are retained when the event log is full and new entries are discarded.

- Field
  2.0.0.0
  4.0.0.0
  System.Diagnostics.OverflowAction

  Indicates that each new entry overwrites the oldest entry when the event log is full.

- Field
  2.0.0.0
  4.0.0.0
  System.Diagnostics.OverflowAction

  Indicates that new events overwrite events older than specified by the property value when the event log is full. New events are discarded if the event log is full and there are no events older than specified by the property value.